Subject: Re: git-mv is not able to handle directory with one file in it

From: Alexander Litvinov <[email-masked]>
Date: Wed, 23 Nov 2005 16:21:34 +0600

On Wednesday 23 November 2005 13:57, Andreas Ericsson wrote:
> This is broken. It only checks if there's just one source-file
> regardless of whether or not it resided in a subdirectory. I'm not
> exactly fluent in perl so I can't submit a patch, but the src option
> needs to be directory aware, traverse all source directories and then
> move the files axing everything but the bottom-most dirname to the
> destination directory.
>
> Any takers?

I still does not understand what this part should do. I know perl enought to 
fix it but I don't understand the logic.